[FFe] seahorse-plugins replaced by seahorse-nautilus

Bug #862609 reported by Roger on 2011-09-29
324
This bug affects 62 people
Affects Status Importance Assigned to Milestone
seahorse-plugins
New
Critical
seahorse-plugins (Debian)
Fix Released
Unknown
seahorse-plugins (Ubuntu)
Wishlist
Marc Deslauriers

Bug Description

The Seahorse developers dropped the ball on seahorse-plugins when making the switch to Gnome 3, causing the incompatible 2.32.0 or so version to be dropped from Oneiric. But there have since been patches allowing seahorse-plugins to be built and, as far as I can tell from the Gnome mailing list, there is now even a git branch with a GTK+ 3 compatible version.

As things stand, there is no readily available way in Oneiric of encrypting and decrypting files, nor of signing and verifying the authenticity of a file! For a "tech-savvy" Linux distro to ship without this functionality would be embarrassing, to say the least. So would you, please, take care of this regression and provide a git snapshot or otherwise solve the problem?

Roger (r-wiberg) on 2011-09-29
visibility: private → public
Sebastien Bacher (seb128) wrote :

Thank you for your bug report, that seems a bit late for Oneiric but we will try to bring it back for the lts

Changed in seahorse-plugins (Ubuntu):
importance: Undecided → Wishlist
Jeremy Bicha (jbicha) wrote :

This is not a security vulnerability.

The seahorse-plugins developers have yet to release even an alpha of a GNOME 3 compatible version.

ftp://ftp.gnome.org/pub/GNOME/sources/seahorse-plugins/

tags: added: upgrade-software-version
security vulnerability: yes → no

Now, that's interesting. I had a look again and it seems a branch was
created for Gnome 3,
but there are just a lot of translations.

On the other hand, the devs have repeatedly stated that they've got
seahorse-plugins building
against GTK 3:

http://git.gnome.org/browse/seahorse-plugins/commit/?id=17f60f9087970b4b0084cebe1367330bdd5eb634

http://mail.gnome.org/archives/gnome-keyring-list/2010-October/msg00002.html

And Gentoo seem to have successfully built seahorse-plugins for Gnome 3:

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-crypt/seahorse/seahorse-3.0.2.ebuild

As fas as the security vulnerability is concerned, you're of course
right in the strictest sense of the word.
No system is going to be immediately susceptible to attack because
there's no seahorse-plugins in the repos.
But an increase in the number of unsigned and unauthenticated files
being handled can clearly be no good
security. And with no seahorse-plugins and easy right click, that's what
we're looking at. Precious few
have heard of gpg and bothered to master the command line.

Roger

On 01/10/11 06:33, Jeremy Bicha wrote:
> This is not a security vulnerability.
>
> The seahorse-plugins developers have yet to release even an alpha of a
> GNOME 3 compatible version.
>
> ftp://ftp.gnome.org/pub/GNOME/sources/seahorse-plugins/
>
> ** Tags added: upgrade-software-version
>
> ** This bug is no longer flagged as a security vulnerability
>

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in seahorse-plugins (Ubuntu):
status: New → Confirmed

Would be nice if status get's changed from wishlist to import, like it's dealed with in Debian.

Changed in seahorse-plugins (Debian):
status: Unknown → Fix Released
Yann Dìnendal (yannbreliere) wrote :

It is not fixed in Debian, they just removed the packages from the repository...

tags: removed: upgrade-software-version
MichaelE (michael-eitelwein) wrote :

Is there any other GUI integration (esp. nautilus) for pgp available? Otherwise I will have to downgrade to 11.04 - I certainly won't go back to command line

Marc Deslauriers (mdeslaur) wrote :

There's some test packages in my PPA here:

https://launchpad.net/~mdeslaur/+archive/testing

It contains seahorse-plugins from git, and libcryptui packages that add the seahorse-daemon application.

These are experimental packages, and may break upgrades, etc. Use at your own risk...

Jeroen Hoek (mail-jeroenhoek) wrote :

#8 Marc:
Thank you for setting up a PPA with seahorse-plugins; the packages may break in the future, but at least I can use encryption from within Nautilus again.

It took me a while to find out why I couldn't install any packages to do what we could do in Natty. The Software Centre, Synaptic, and the unknown MIME-type handler; none of them could tell me anything. Users really shouldn't have to go hunting for bug-threads to do basic things with their OS.

Is there any reason a proper set of packages should not be back-ported to Oneiric as soon as possible? Simply telling non-advanced users not to use Oneiric, or not to use encrypted files seems a bit harsh.

Marc Deslauriers (mdeslaur) wrote :

We are waiting on the upstream project to release a proper tarball for gnome-seahorse. Hopefully, one will be available for Precise.

Ignacio Huerta (iox8) wrote :

Hi, we are really desperate for this package. We tried Marc's PPA (thank you!) and now we can encrypt with Nautilus but not with Gedit (what we really need).

We saw in the tarball that the gedit plugin is there, but it looks like configure is ignoring it (see post #8 in https://bbs.archlinux.org/viewtopic.php?id=120563).

Could we try to compile it forcing to enable the gedit plugin?
Any other alternative? Maybe downgrading gedit?

MichaelE (michael-eitelwein) wrote :

This seems also to be discussed in bug 832888. But I have to admit that I do not understand whether the plugin is already fixed, will be fixed, will be replaced or is not taken care of. Maybe somebody can summarise who is more familiar with the release/fixing process.

papukaija (papukaija) on 2011-12-18
tags: added: regression-release
removed: regression-potential
Changed in seahorse-plugins:
importance: Unknown → Critical
status: Unknown → New

This affects the Precise Pangolin too!

Sam_ (and-sam) wrote :

In case it may need a warning in release notes for users which may upgrade from Lucid to Precise that the plugin (currently) doesn't exist.

tags: added: precise
Janne Jokitalo (astraljava) wrote :

Tracker says Fix Released in debian. Could it be synced, now? And then hopefully backported to oneiric.

papukaija (papukaija) wrote :

@Janne: Debian has, like Canonical, just removed the package from the archive. Gnome is still working for a real fix.

Is anyone aware of a particular individual that is responsible for this at Gnome? I would like to make contact with them.

Marc Deslauriers (mdeslaur) wrote :

Upstream has replaced seahorse-plugins with seahorse-nautilus:

http://git.gnome.org/browse/seahorse-nautilus/

Jesse Johnson (holocronweaver) wrote :

I just finished compiling and installing seahorse-nautilus on Ubuntu 11.10 and everything seems to work without any problems. Could we create a test package for others to try, ultimately allowing us to release a seahorse-nautilus package in the repo?

I don't have the skill set to create a test package, but would be more
than happy to take it for a test drive once packaged.

On 02/19/2012 10:20 AM, Jesse Johnson wrote:
> I just finished compiling and installing seahorse-nautilus on Ubuntu
> 11.10 and everything seems to work without any problems. Could we
> create a test package for others to try, ultimately allowing us to
> release a seahorse-nautilus package in the repo?
>

@Marc : your seahorse-plugins on your ppa is working well :) Thanks

Marc Deslauriers (mdeslaur) wrote :

I'll prepare a test package for Precise, and will get a FFe to try and get it included.

Changed in seahorse-plugins (Ubuntu):
assignee: nobody → Marc Deslauriers (mdeslaur)
Marc Deslauriers (mdeslaur) wrote :

FFe request:

Upstream Gnome switched the functionnality previously available in the seahorse-plugins package into a new component called seahorse-nautilus. The seahorse-plugins package was removed in Oneiric, removing the nautilus plugin and helpers necessary to decrypt files and import keys by double-clicking on them.

I would like to get a FFe to upload a new source and binary package called "seahorse-nautilus" that packages the new upstream source.

This has minimal impact since nothing depends on it, but would be great to get in the LTS release so people who upgrade from Lucid don't lose functionnality they depend on.

A test package is currently available in my PPA here: https://launchpad.net/~mdeslaur/+archive/testing

summary: - seahorse-plugins gone in Oneiric
+ [FFe] seahorse-plugins replaced by seahorse-nautilus
Scott Kitterman (kitterman) wrote :

Ack. Approved as long as you can find an archive admin to do the New processing.

Changed in seahorse-plugins (Ubuntu):
status: Confirmed → Triaged
Stefano Rivera (stefanor) wrote :

seb128 volunteered on IRC

Matt 6:27 (goffice) wrote :

@Marc: the seahorse-plugins via your PPA appears to be working flawlessly on 11.10. Thanks much!

Sam_ (and-sam) wrote :

Fix released. Thank you Marc!
Is there any chance for a gedit plugin?

seahorse-nautilus:
  Installed: 3.3.1-0ubuntu1
  Candidate: 3.3.1-0ubuntu1
  Version table:
 *** 3.3.1-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ precise/universe amd64 Packages
        100 /var/lib/dpkg/status

Jesse Johnson (holocronweaver) wrote :

Any chance of seahorse-nautilus showing up in Oneiric?

Stefano Rivera (stefanor) wrote :

Jesse: Backports might be an appropriate avenue for that: https://wiki.ubuntu.com/UbuntuBackports

@Jesse - if you add Marc's PPA (see above in this string for the link),
then update your repositories, you'll find /seahorse-plugins/ in
synaptic. I've loaded it in Oneiric and it's working perfectly. I'm
assuming they've simply changed the name to /seahorse-nautilus/ in for
Precise, but it appears as /plugins/ in Oneiric. You might also want to
add gnupg-agent so you can time out your passphrase.

On 02/22/2012 09:02 AM, Jesse Johnson wrote:
> Any chance of seahorse-nautilus showing up in Oneiric?
>

papukaija (papukaija) wrote :

This bug is fixed by this upload:

seahorse-nautilus (3.3.1-0ubuntu1) precise; urgency=low

  * Initial packaging based on old seahorse-plugins package (LP: #862609)

 -- Marc Deslauriers <email address hidden> Mon, 20 Feb 2012 14:25:52 -0500

Changed in seahorse-plugins (Ubuntu):
status: Triaged → Fix Released
peterzay (peterzay) wrote :

In Ubuntu 12.04 beta 25-feb-2012 Precise, right click on pgp file does give the following menu option:

Open With Decrypt File

However, when you right click on a regular text file, the Encrypt option does NOT appear.

Marc Deslauriers (mdeslaur) wrote :

That's odd, I see the Encrypt option here.

Did you restart your session after installing the package?

peterzay (peterzay) wrote :

I am using a LiveCD. I cannot reboot. I will test again when the production version is available.

Nick B. (futurepilot) wrote :

You really only need to restart nautilus.
nautilus -q && nautilus

On 02/26/2012 02:27 PM, peterzay wrote:
> I am using a LiveCD. I cannot reboot. I will test again when the
> production version is available.
>

peterzay (peterzay) wrote :

The command

nautilus -q && nautilus

failed as per attached terminal session BUT the Encrypt option did appear after the failure.

Scott Kitterman (kitterman) wrote :

On Saturday, March 03, 2012 08:21:23 PM you wrote:
> The command
>
> nautilus -q && nautilus
>
> failed as per attached terminal session

Please file a new bug for that.

antistress (antistress) wrote :

On Saturday, March 03, 2012 08:21:23 PM you wrote:
> The command
>
> nautilus -q && nautilus
>
> failed as per attached terminal session

It works with sudo for me

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.